/tracefilters
Mount Point: /auth/api/v1/tracefilters/
GET
Retrieve a list of trace filters from the entire set of defined trace filters.
Parameters
| name | description | type | default |
|---|---|---|---|
| startIndex | The index number of the first item to be provided in the results. A null value is equivalent to 0. | query | 0 |
| count | The maximum number of items to be provided in the results. A null value signifies no maximum. | query | |
| sortBy | Specifies how the results should be sorted. Allowed values are NAME_ASCENDING and NAME_DESCENDING. | query | NAME_ASCENDING |
| filterBy | Specifies how filtering will occur. Allowed values are NAME_EQUALITY, NAME, DESCRIPTION, ID, VERSION, and ENABLED. | query | |
| filter | The user-supplied input for filtering. | query | |
| excludesList | A comma-separated list of ids to exclude from results. | query |
Response Body
| result: | traceFilter |
| media types: | application/json |
Paged results of all requested trace filters.
Status Codes
| code | description |
|---|---|
| 200 | Success |
POST
Creates a model object.
Request Body
| element: | traceFilter |
| media types: | application/json |
(no documentation provided)
Response Body
| result: | traceFilter |
| media types: | application/json |
The created model object response.
Status Codes
| code | description |
|---|---|
| 201 | Success |
| 400 | Bad Request |